# Plugin Files

### Config.yml

```
# Default language file
lang: en_US

auction setting:

  # The default auction time before an item expires (in seconds)
  default auction house: 3600
  pricing:

    # The max price for buy only / buy now items
    max auction price: 1000000000

    # The max price starting a bidding auction
    max auction start price: 1000000000

    # The max amount for incrementing a bid.
    max auction increment price: 1000000000

    # The min price for buy only / buy now items
    min auction price: 1

    # The min price starting a bidding auction
    min auction start price: 1

    # The min amount for incrementing a bid.
    min auction increment price: 1
  purchase:

    # Should the owner of an auction be able to purchase it?
    # This probably should be set to false...
    owner can purchase own item: true

    # Should the owner of an auction be able to bid on it?
    # This probably should be set to false...
    owner can bid on own item: false

  # Should auction pages auto refresh?
  auto refresh auction pages: true

  # Should numbers be shortened into a prefixed form?
  use short numbers: false

  # Should the remaining time be increased when a bid is placed?
  increase time on bid: true

  # How many seconds should be added to the remaining time?
  time to increase by on the bid: 20

  # How many seconds should pass before the plugin updates all the times on items?
  tick auctions every: 1

  # Should the auction gui be re-opened (not redrawn) when a user places a bid, so they get the latest items?
  refresh gui when bid: true

  # Should the gui refresh when the player changes the filter mode?
  refresh gui when filter changed: true

  # Should every transaction be recorded (everything an auction is won or an item is bought)
  record transactions: true

  # Should the entire server be alerted when a player lists an item?
  broadcast auction list: false

discord:

  # Should the discord webhook feature be enabled?
  enabled: true

  # Should a message be sent to the discord server when someone lists a new auction item
  alert on auction start: true

  # Should a message when an auction finishes?
  alert on auction finish: true

  # A list of webhook urls (channels) you want a message sent to
  webhooks:
  - https://discord.com/api/webhooks/821837927444119563/Yd3cWzVB56Tk_VuN1Lv2iGgvsbZt2YV5SDyCkVo6EjRAUqJk3nA2nSG9PH_Bl6rcFNnz
  user:

    # The name of the user who will send the message
    username: Auction House

    # The avatar image of the discord user
    avatar picture: https://cdn.kiranhart.com/spigot/auctionhouse/icon.png
  msg:

    # colour of the message bar
    use random colour: true

    # The color of the embed, it needs to be in hsb format.
    # Separate the numbers with a -
    default colour: 137-100-100

    # The title of the message when a new auction is made
    auction start title: New Auction Available

    # The title of th message when an auction finishes
    auction finish title: Auction Finished
    seller:

      name: Seller

      value: '%seller%'

      inline: true
    buyer:

      name: Buyer

      value: '%buyer%'

      inline: true
    buy now price:

      name: Buy Now Price

      value: $%buy_now_price%

      inline: true
    final price:

      name: Final Price

      value: $%final_price%

      inline: true
    is bid:

      name: Was Bid

      value: '%is_bid%'

      inline: true
    purchase type:

      name: Purchase Type

      value: '%purchase_type%'

      inline: true
    item:

      name: Item Name

      value: '%item_name%'

      inline: true
    item amount:

      name: Item Amount

      value: '%item_amount%'

      inline: true

# Materials that should be blocked (not allowed to sell)
blocked items:
- ENDER_CHEST

# Special time permissions for users.
# If they have the following permission in this format:
# auctionhouse.time.rankone
# rankone refers to the list item under auction time, they will get the time specified (in seconds)
auction time:
- rankone:30

gui:
  global items:
    back button:

      # Settings for the back button
      item: ARROW

      name: '&e<< Back'

      lore:
      - '&7Click the button to go'
      - '&7back to the previous page.'
    close button:

      # Settings for the close button
      item: BARRIER

      name: '&cClose'

      lore:
      - '&7Click to close this menu.'
    next button:

      # Settings for the next button
      item: ARROW

      name: '&eNext >>'

      lore:
      - '&7Click the button to go'
      - '&7to the next page.'
    refresh button:

      # Settings for the refresh page
      item: CHEST

      name: '&6&LRefresh Page'

      lore:
      - '&7Click to refresh the currently'
      - '&7available auction listings.'
  auction house:

    title: '&7Auction House'
    items:
      guide:

        item: BOOK

        name: '&e&lGuide'

        lore:
        - '&7This is the auction house, here you can'
        - '&7list items for sale and purchase items'
        - '&7that others have listed for sale.'
        - ''
        - '&7The auction is also a great way to make'
        - '&7money by selling farmable items other'
        - '&7players may be interested in buying.'
        - ''
        - '&7Any unsold items are sent to your collection bin.'
        - ''
        - '&7Each item is listed as a auction, so'
        - '&7players can out bid each other, or simply'
        - '&7purchase it right away with a set price.'
      transactions:

        item: PAPER

        name: '&e&lTransactions'

        lore:
        - '&7Click to view transaction history'
      how to sell:

        item: GOLD_INGOT

        name: '&e&lHow to Sell'

        lore:
        - '&7To list an item on the auction house, just hold'
        - '&7the item in your hand and type the following command.'
        - '&e/ah sell <buyNowPrice> [startPrice] [bidIncrement]'
      your auctions:

        item: DIAMOND

        name: '&e&lYour Auctions'

        lore:
        - '&7Click here to view all of the items you'
        - '&7are currently selling on the auction.'
        - ''
        - '&e&l%active_player_auctions% Item(s)'
      collection bin:

        item: ENDER_CHEST

        name: '&e&lCollection Bin'

        lore:
        - '&7Click here to view and collect all of the'
        - '&7items you have cancelled or have expired.'
        - ''
        - '&e&l%expired_player_auctions% Item(s)'
      filter:

        item: NETHER_STAR

        name: '&e&lFilter Options'

        lore:
        - '&eItem Category&f: &7%filter_category%'
        - '&eAuction Type&f: &7%filter_auction_type%'
        - ''
        - '&7Left-Click to change item category'
        - '&7Right-Click to change change auction type'
  confirm buy:

    title: '&7Are you sure?'
    'no':
      item: RED_STAINED_GLASS_PANE
      name: '&c&LCancel'
      lore:
      - '&7Click to cancel your purchase'
    'yes':
      item: LIME_STAINED_GLASS_PANE
      name: '&a&lConfirm'
      lore:
      - '&7Click to confirm your purchase'
  active auctions:

    title: '&7Active Listings'
    cancel all:

      item: ENDER_CHEST

      name: '&e&lEnd All'

      lore:
      - '&7Click here to end all of the active listings'
      - '&7that you have posted.'
  expired auctions:

    title: '&7Expired Listings'
    cancel all:

      item: ENDER_CHEST

      name: '&e&lClaim All'

      lore:
      - '&7Click here to claim all of your expired auctions'
  transactions:

    title: '&7&LTransaction History'
    items:
      toggle own:

        item: NETHER_STAR

        name: '&e&LToggle Your Transactions'

        lore:
        - '&7Click to toggle whether you see'
        - '&7only your transactions or all'
        - '&7the transactions ever made.'
      transaction:

        item: PAPER

        name: '&e%transaction_id%'

        lore:
        - '&7Seller&F: &e%seller%'
        - '&7Buyer&F: &e%buyer%'
        - '&7Date&F: &e%date%'
        - ''
        - '&7Click to view more details'
  transaction view:

    title: '&7&LViewing Transaction'
    background:

      fill: true

      item: BLACK_STAINED_GLASS_PANE
    items:
      seller:

        name: '&e%seller_name%'

        lore:
        - '&7This is the player who sold the item.'
        - '&7ID&F: &e%seller_id%'
      buyer:

        name: '&e%buyer_name%'

        lore:
        - '&7This is the player who bought the item.'
        - '&7ID&F: &e%buyer_id%'
      information:

        item: PAPER

        name: '&e%transaction_id%'

        lore:
        - '&7ID&f: &e%transaction_id%'
        - '&7Sale Type&f: &e%sale_type%'
        - '&7Date&f: &e%transaction_date%'
        - '&7Final Price&f: &e%final_price%'

auction items:

  # This the item stack lore that will be appended to
  # auction items in /ah (lore will be applied first, then these)
  auction stack:
  - '&7-------------------------'
  - '&eSeller&f: &b%seller%'
  - ''
  - '&eBuy Now: &a$%buynowprice%'
  - ''
  - '&eTime Left: &b%remaining_days%&fd &b%remaining_hours%&fh &b%remaining_minutes%&fm &b%remaining_seconds%s'

  # This the item stack lore that will be appended to
  # auction items in /ah listings (lore will be applied first, then these)
  listing stack:
  - '&7-------------------------'
  - '&eBuy Now: &a$%buynowprice%'
  - '&eTime Left: &b%remaining_days%&fd &b%remaining_hours%&fh &b%remaining_minutes%&fm &b%remaining_seconds%s'

  # This the item stack lore that will be appended to
  # auction items in /ah (lore will be applied first, then these)
  auction stack with bid:
  - '&7-------------------------'
  - '&eSeller&f: &b%seller%'
  - ''
  - '&eBuy Now: &a$%buynowprice%'
  - '&eCurrent Price: &a$%currentprice%'
  - '&eBid Increment: &a$%bidincrement%'
  - '&eHighest Bidder: &a%highestbidder%'
  - ''
  - '&eTime Left: &b%remaining_days%&fd &b%remaining_hours%&fh &b%remaining_minutes%&fm &b%remaining_seconds%s'

  # This the item stack lore that will be appended to
  # auction items in /ah listings (lore will be applied first, then these)
  listing stack with bid:
  - '&7-------------------------'
  - '&eBuy Now: &a$%buynowprice%'
  - '&eCurrent Price: &a$%currentprice%'
  - '&eBid Increment: &a$%bidincrement%'
  - '&eHighest Bidder: &a%highestbidder%'
  - '&eTime Left: &b%remaining_days%&fd &b%remaining_hours%&fh &b%remaining_minutes%&fm &b%remaining_seconds%s'
  controls:

    # This will be appended at the end of the lore
    # If the auction item is using a bid, this will show
    using bid:
    - '&7-------------------------'
    - '&eLeft-Click&f: &bBid'
    - '&eRight-Click&f: &bBuy Now'
    - '&7-------------------------'

    # This will be appended at the end of the lore
    # If the auction item is not using a bid, this will show
    not using bid:
    - '&7-------------------------'
    - '&eLeft-Click&f: &bBuy Now'
    - '&7-------------------------'

sounds:

  listed item on the auction house: ENTITY_EXPERIENCE_ORB_PICKUP

  navigated between gui pages: ENTITY_BAT_TAKEOFF

  not enough money: ENTITY_ITEM_BREAK

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tweetzy.ca/official-plugins/auction-house/plugin-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
